commit:     e3361b4015efe032d37b428f12d4162d9475ba70
Author:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 19 20:39:56 2019 +0000
Commit:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
CommitDate: Tue Mar 19 20:40:12 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e3361b40

dev-python/PyQt5-sip: add 4.19.15

Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Davide Pesavento <pesa <AT> gentoo.org>

 dev-python/PyQt5-sip/Manifest                 |  1 +
 dev-python/PyQt5-sip/PyQt5-sip-4.19.15.ebuild | 91 +++++++++++++++++++++++++++
 2 files changed, 92 insertions(+)

diff --git a/dev-python/PyQt5-sip/Manifest b/dev-python/PyQt5-sip/Manifest
index 2a41d1b828e..e1c4da98063 100644
--- a/dev-python/PyQt5-sip/Manifest
+++ b/dev-python/PyQt5-sip/Manifest
@@ -1 +1,2 @@
 DIST sip-4.19.14.tar.gz 1049688 BLAKE2B 
8e68910f533d0f58bef1f20ec58579ce0166efaee2caef1c64d4e9878b0887040d9284a9fa5ee48d7a4f0949866d0b988b0d962303f0ace03a4ad48bd08eec5d
 SHA512 
afde261331f38eac863d8cea0e343649f460f0b9a603d7fe91f14583904ea4b488bbd88d20fad5c985c43c6c1683fffee38676d94831ac8f2de40d9ed4d0423e
+DIST sip-4.19.15.tar.gz 1053921 BLAKE2B 
afe0f1c2faf839305d21da05a667e649c37ab42c95df86d237bbd8f39a6b8bb7224da547467311bf82a85ce8f0fafd8bb6dd7cbf6050f2b157773339438d6277
 SHA512 
9518a5e90d54758b13dd8752669d4deb175cea8d8cdf810deaf554cd157d32ab7e394d23c774993fac3b7c02d56445b80962457d59f5cda543917a0251816422

diff --git a/dev-python/PyQt5-sip/PyQt5-sip-4.19.15.ebuild 
b/dev-python/PyQt5-sip/PyQt5-sip-4.19.15.ebuild
new file mode 100644
index 00000000000..d71ee7c6948
--- /dev/null
+++ b/dev-python/PyQt5-sip/PyQt5-sip-4.19.15.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} )
+inherit python-r1 toolchain-funcs
+
+DESCRIPTION="Private sip module for PyQt5"
+HOMEPAGE="https://www.riverbankcomputing.com/software/sip/intro";
+
+MY_P=sip-${PV/_pre/.dev}
+if [[ ${PV} == *_pre* ]]; then
+       SRC_URI="https://dev.gentoo.org/~pesa/distfiles/${MY_P}.tar.gz";
+else
+       
SRC_URI="https://www.riverbankcomputing.com/static/Downloads/sip/${MY_P}.tar.gz";
+fi
+
+# Sub-slot based on SIP_API_MAJOR_NR from siplib/sip.h
+SLOT="0/12"
+LICENSE="|| ( GPL-2 GPL-3 SIP )"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE=""
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="${PYTHON_DEPS}"
+RDEPEND="${DEPEND}"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+       # Sub-slot sanity check
+       local sub_slot=${SLOT#*/}
+       local sip_api_major_nr=$(sed -nre 's:^#define 
SIP_API_MAJOR_NR\s+([0-9]+):\1:p' siplib/sip.h || die)
+       if [[ ${sub_slot} != ${sip_api_major_nr} ]]; then
+               eerror
+               eerror "Ebuild sub-slot (${sub_slot}) does not match 
SIP_API_MAJOR_NR (${sip_api_major_nr})"
+               eerror "Please update SLOT variable as follows:"
+               eerror "    SLOT=\"${SLOT%%/*}/${sip_api_major_nr}\""
+               eerror
+               die "sub-slot sanity check failed"
+       fi
+
+       default
+}
+
+src_configure() {
+       configuration() {
+               if ! python_is_python3; then
+                       local CFLAGS="${CFLAGS} -fno-strict-aliasing"
+               fi
+
+               local myconf=(
+                       "${PYTHON}"
+                       "${S}"/configure.py
+                       --sip-module PyQt5.sip
+                       --sysroot="${ESYSROOT}/usr"
+                       --no-tools
+                       AR="$(tc-getAR) cqs"
+                       CC="$(tc-getCC)"
+                       CFLAGS="${CFLAGS}"
+                       CFLAGS_RELEASE=
+                       CXX="$(tc-getCXX)"
+                       CXXFLAGS="${CXXFLAGS}"
+                       CXXFLAGS_RELEASE=
+                       LINK="$(tc-getCXX)"
+                       LINK_SHLIB="$(tc-getCXX)"
+                       LFLAGS="${LDFLAGS}"
+                       LFLAGS_RELEASE=
+                       RANLIB=
+                       STRIP=
+               )
+               echo "${myconf[@]}"
+               "${myconf[@]}" || die
+       }
+       python_foreach_impl run_in_build_dir configuration
+}
+
+src_compile() {
+       python_foreach_impl run_in_build_dir default
+}
+
+src_install() {
+       installation() {
+               emake DESTDIR="${D}" install
+       }
+       python_foreach_impl run_in_build_dir installation
+
+       einstalldocs
+}

Reply via email to